KDE 4.5 PyKDE API Reference

- KDE's Python API

# RenderPlugin Class Reference

`from PyKDE4.marble import *`

Inherits: QObject,Marble.RenderPluginInterface → Marble.PluginInterface
Subclasses: Marble.AbstractDataPlugin, Marble.AbstractFloatItem
Namespace: Marble.RenderPlugin

## Detailed Description

The abstract class that creates a renderable Item.

## Enumerations

ItemDataRole | { NameId, AboutDialogAvailable, ConfigurationDialogAvailable, BackendTypes }

## Signals

| actionGroupsChanged ()
| repaintNeeded (, QRegion dirtyRegion)
| settingsChanged (, QString nameId)
| visibilityChanged (, QString nameId, bool visible)

## Methods

| __init__ (self)
QDialog | aboutDialog (self)
QAction | action (self)
[QActionGroup] | actionGroups (self)
| actionGroupsChanged (self)
| applyItemState (self)
QDialog | configDialog (self)
Marble.MarbleDataFacade | dataFacade (self)
bool | enabled (self)
bool | eventFilter (self, QObject a0, QEvent a1)
QStandardItem | item (self)
| repaintNeeded (self, QRegion dirtyRegion)
| retrieveItemState (self)
| setDataFacade (self, Marble.MarbleDataFacade a0)
| setEnabled (self, bool enabled)
| setSettings (self, {QString:QVariant} settings)
| setVisible (self, bool visible)
{QString:QVariant} | settings (self)
| settingsChanged (self, QString nameId)
[QActionGroup] | toolbarActionGroups (self)
| visibilityChanged (self, QString nameId, bool visible)
bool | visible (self)

## Method Documentation

__init__ | ( |  | self ) |

QDialog aboutDialog | ( |  | self ) |

Function for getting a pointer to the about dialog of the plugin.

@return: The about dialog or, if no about dialog exists, 0.

QAction action | ( |  | self ) |

[QActionGroup] actionGroups | ( |  | self ) |

This method is used by the main window to get all of the actions that this plugin defines. There is no guarantee where the main window will place the actions but it will generally be in a Menu. The returned QList should also contain all of the actions returned by

See also:
  toolbarActions().

Returns:
  A QList of grouped actions

actionGroupsChanged | ( |  | self ) |

This signal is emitted if the actions that the plugin supports change in any way

Signal syntax:
  `QObject.connect(source, SIGNAL("actionGroupsChanged()"), target_slot)`

applyItemState | ( |  | self ) |

QDialog configDialog | ( |  | self ) |

Function for getting a pointer to the configuration dialog of the plugin.

@return: The configuration dialog or, if no configuration dialog exists, 0.

Marble.MarbleDataFacade dataFacade | ( |  | self ) |

bool enabled | ( |  | self ) |

bool eventFilter | ( | self, |
|  | QObject | a0,
|  | QEvent | a1
| ) |  |  |

QStandardItem item | ( |  | self ) |

repaintNeeded | ( | self, |
|  | QRegion | dirtyRegion
| ) |  |  |

This signal is emitted if an update of the view is needed. If available with the dirtyRegion which is the region the view will change in. If dirtyRegion.isEmpty() returns true, the whole viewport has to be repainted.

Signal syntax:
  `QObject.connect(source, SIGNAL("repaintNeeded(QRegion)"), target_slot)`

retrieveItemState | ( |  | self ) |

setDataFacade | ( | self, |
|  | Marble.MarbleDataFacade | a0
| ) |  |  |

setEnabled | ( | self, |
|  | bool | enabled
| ) |  |  |

setSettings | ( | self, |
|  | {QString:QVariant} | settings
| ) |  |  |

Set the settings of the item.

setVisible | ( | self, |
|  | bool | visible
| ) |  |  |

{QString:QVariant} settings | ( |  | self ) |

@return: The settings of the item.

settingsChanged | ( | self, |
|  | QString | nameId
| ) |  |  |

This signal is emitted if the settings of the RenderPlugin changed.

Signal syntax:
  `QObject.connect(source, SIGNAL("settingsChanged(QString)"), target_slot)`

[QActionGroup] toolbarActionGroups | ( |  | self ) |

This method returns a subset of the actions returned by

See also:
  actions() which are intended to be placed in a more prominent place such as a toolbar above the Marble Widget. You are not guaranteed that they will be in an actual toolbar but they will be visible and discoverable

Returns:
  A QList of grouped toolbar actions

visibilityChanged | ( | self, |
|  | QString | nameId,
|  | bool | visible
| ) |  |  |

This signal is emitted if the visibility is changed with setVisible.

Signal syntax:
  `QObject.connect(source, SIGNAL("visibilityChanged(QString, bool)"), target_slot)`

bool visible | ( |  | self ) |

## Enumeration Documentation

ItemDataRole

This enum contains the data roles for the QStandardItem that is returned by item(). TODO: This should get moved into PluginInterface.h

Enumerator:

  NameId = Qt::UserRole+2 |
  AboutDialogAvailable |
  ConfigurationDialogAvailable |
  BackendTypes |